Summary:	NetFlow collecting and processing tools
Name:		nfdump
Version:	1.7.3
Release:	1%{?dist}
License:	BSD
URL:		https://github.com/phaag/nfdump
Source0:	https://github.com/phaag/%{name}/archive/v%{version}.tar.gz

BuildRequires:	autoconf automake gcc libtool make
BuildRequires:	byacc bzip2-devel doxygen flex sed libfl-static
BuildRequires:	libpcap-devel rrdtool-devel libzstd-devel

Requires:	nfdump-libs = %{version}-%{release}


%description
nfdump is a toolset in order to collect and process netflow/ipfix and sflow data
sent from netflow/sflow compatible devices.
The toolset contains several collectors to collect flow data:
- nfcapd supports netflow v1, v5/v7,v9 and IPFIX
- sfcapd support sflow
- nfpcapd converts pcap data read from a host interface or from pcap files.
nfdump is now a multi-threaded program and uses parallel threads mainly for reading,
writing and processing flows as well as for sorting.


%package libs
Summary:	Libraries used by NFDUMP packages

%description libs
Contains libraries used by NFDUMP utilities


%prep
%autosetup


%build
./autogen.sh
%configure \
    --enable-nsel \
    --enable-nfprofile \
    --enable-nftrack \
    --enable-sflow \
    --enable-readpcap \
    --enable-nfpcapd \
    --enable-shared \
    --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build


%install
%make_install
chmod 0644 AUTHORS ChangeLog README.md
rm -f %{buildroot}%{_libdir}/*.la


%files
%license LICENSE
%doc AUTHORS ChangeLog README.md
%{_bindir}/*
%{_sysconfdir}/*
%{_mandir}/man1/*.1*


%files libs
%{_libdir}/libnfdump-%{version}.so
%{_libdir}/libnfdump.so


%changelog
* Mon Dec 04 2023 Miaojun Dong <zoedong@tencent.com> - 1.7.3-1
- Initial build
